services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  SGalinski\SgJobs\:
    resource: '../Classes/*'

  SGalinski\SgJobs\Service\SitemapService:
    public: true

  SGalinski\SgJobs\Service\BackendService:
    public: true

  SGalinski\SgJobs\Preview\PreviewRenderer:
    public: true

  SGalinski\SgJobs\Event\Listener\AccessPageListEventListener:
    tags:
      - name: event.listener
        identifier: 'accessPageListEvent'
        event: SGalinski\SgSeo\Events\AccessPageListEvent
